VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "MessageHolder"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private m_Messages() As String
Private m_NumMessages As Integer
Public Property Let Message(ByVal index As Integer, ByVal new_message As String)
    If index < 1 Then
        Err.Raise 380, "LabelList.Caption", _
            "Caption index must be greater than zero."
    End If

    ' Make room if necessary.
    If index > m_NumMessages Then
        m_NumMessages = index
        ReDim Preserve m_Messages(1 To m_NumMessages)
    End If

    m_Messages(index) = new_message
End Property
Public Property Get Message(ByVal index As Integer) As String
    If index < 0 Or index > m_NumMessages Then
        Err.Raise 380, "LabelList.Caption", _
            "Caption index must be between zero and " & _
            m_NumMessages & "."
    End If

    Message = m_Messages(index)
End Property

Public Function ToString() As String
Dim txt As String
Dim i As Integer

    For i = 1 To m_NumMessages
        txt = txt & m_Messages(i) & vbCrLf
    Next i

    ToString = txt
End Function

Private Sub Class_Initialize()
    m_NumMessages = 0
End Sub


